Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
V
vlc-1.1
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Redmine
Redmine
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Operations
Operations
Metrics
Environments
Analytics
Analytics
CI / CD
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
videolan
vlc-1.1
Commits
f305f749
Commit
f305f749
authored
May 27, 2008
by
Rémi Denis-Courmont
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
CIL API sanity checks (well known to fail at the moment)
parent
0daf5bc0
Changes
2
Show whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
44 additions
and
1 deletion
+44
-1
bindings/cil/tests/Makefile.am
bindings/cil/tests/Makefile.am
+3
-1
bindings/cil/tests/missing_api
bindings/cil/tests/missing_api
+41
-0
No files found.
bindings/cil/tests/Makefile.am
View file @
f305f749
EXTRA_DIST
=
$(SOURCES_testvlc)
EXTRA_DIST
=
$(SOURCES_testvlc)
MOSTLYCLEANFILES
=
$(check_SCRIPTS)
MOSTLYCLEANFILES
=
$(check_SCRIPTS)
check_SCRIPTS
=
testvlc.exe
noinst_SCRIPTS
=
testvlc.exe
dist_check_SCRIPTS
=
missing_api
SOURCES_testvlc
=
testvlc.cs
SOURCES_testvlc
=
testvlc.cs
LDADD_testvlc
=
-lib
:../src
-r
:VideoLAN.LibVLC.dll
LDADD_testvlc
=
-lib
:../src
-r
:VideoLAN.LibVLC.dll
...
@@ -9,3 +10,4 @@ LDADD_testvlc = -lib:../src -r:VideoLAN.LibVLC.dll
...
@@ -9,3 +10,4 @@ LDADD_testvlc = -lib:../src -r:VideoLAN.LibVLC.dll
testvlc.exe
:
$(SOURCES_testvlc)
testvlc.exe
:
$(SOURCES_testvlc)
$(CSC)
-target
:exe
-out
:
$@
$(CSFLAGS)
$^
$(LDADD_testvlc)
$(CSC)
-target
:exe
-out
:
$@
$(CSFLAGS)
$^
$(LDADD_testvlc)
TESTS
=
missing_api
bindings/cil/tests/missing_api
0 → 100755
View file @
f305f749
#! /bin/dash
# Finds LibVLC API mismatch within the CIL bindings
# Copyright 2008 Rémi Denis-Courmont
if test "${srcdir}" = ""; then
srcdir="$(dirname "$0")"
fi
libvlcsym="${srcdir}/../../../src/libvlc.sym"
if ! test -f "${libvlcsym}"; then
echo "Cannot find ${libvlcsym}\!" >&2
exit 77
fi
cat ${srcdir}/../src/*.cs | \
sed -n -e 's,^.*EntryPoint="\([^"]*\)".*$,\1,p' | {
cat
# Symbols we do not need:
echo 'libvlc_exception_raise'
} | \
sort -u | \
diff -u - "${libvlcsym}" | \
grep -ve '^+\(mediacontrol_\|libvlc_playlist_\)' | {
read line # ---
read line # +++
broken=no
while read line; do
match="${line#+}"
if test "${line}" != "${match}"; then
echo "Unimplemented: $match"
broken=yes
fi
match="${line#-}"
if test "${line}" != "${match}"; then
echo "Invalid: $match"
broken=yes
fi
done
test "${broken}" = "no"
}
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment